%bcond_without check

%global goipath         github.com/kyoh86/xdg
Version:                1.2.0

%gometa

%global common_description %{expand:
Light weight helper functions in Golang to get config, data and cache files
according to the XDG Base Directory Specification.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Light weight helper functions for the XDG Base Directory Specification

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Aug 19 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
